Permalink
Browse files

Increase minimum iOS version to fix libc++ warning

clang: warning: libstdc++ is deprecated; move to libc++ with a minimum
deployment target of iOS 7 [-Wdeprecated]

Signed-off-by: Tom Hughes <tomtheengineer@gmail.com>
  • Loading branch information...
thughes committed Apr 28, 2018
1 parent 91fd8bd commit 7dfcb6bad9f24eb5c902c30eb0e7de87f0c819bb
Showing with 2 additions and 4 deletions.
  1. +2 −4 CMakeLists.txt
@@ -146,11 +146,9 @@ elseif(GNULINUX_PLATFORM)
set(NE10_ASM_OPTIMIZATION on)
endif()
elseif(IOS_PLATFORM)
#set minimal target ios version.If not provided this option, Xcode
#5.0.2 would generate code for iOS 7.0, which would lead runtime
#error when run on device with earlier iOS version.
#set minimal target ios version.
if(NOT MIN_IOS_VER)
set(MIN_IOS_VER "6.0")
set(MIN_IOS_VER "7.0")
endif()
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -miphoneos-version-min=" ${MIN_IOS_VER})
set(CMAKE_ASM_FLAGS "${CMAKE_C_FLAGS} -mfpu=neon -miphoneos-version-min=" ${MIN_IOS_VER})

0 comments on commit 7dfcb6b

Please sign in to comment.